var prevVideoSrc = null;
var prevAudioSrc = null;

function  onVideoPlay(event) {
    try{
        setTimeout(function (e) {
            onFindVideoSource(event.target.currentSrc)
        }, 1000);
    }catch (e){
    }
}

function onFindVideoSource(src) {
    try{
        if(src != null && src != prevVideoSrc){
            prevVideoSrc = src;
            sumebrowser.findSnifferResources(document.title, document.URL, 0, src);
        }
    }catch (e){
    }
}

function onFindAudioSource(src) {
    try{
        if(src != null && src != prevAudioSrc){
            prevAudioSrc = src;
            sumebrowser.findSnifferResources(document.title, document.URL, 1, src);
        }
    }catch (e){
    }
}

function onDOMSubtreeModifiedListener() {
    var videos = document.getElementsByTagName('video');
    var audios = document.getElementsByTagName('audio');
    if (videos || audios) {
        var css = document.getElementById('ume_video_sniffer');
        if(css){
            return;
        }else{
            css = document.createElement('link');
            css.id = 'ume_video_sniffer';
            css.rel = 'stylesheet';
            try{
                document.body.appendChild(css);
            }catch (e){
            }
        }

        for (var i = 0; i < videos.length; i++) {
            (function () {
                var video = videos[i];
                video.removeEventListener('play', onVideoPlay, false);
                video.addEventListener('play', onVideoPlay, false);

                if(i === 0){
                    setTimeout(function () {
                        var currentSrc = video.src;
                        if(currentSrc == null || currentSrc.length <= 0|| currentSrc == "undefined"){
                            var sourceList = video.getElementsByTagName("source");
                            if(sourceList != null && sourceList.length > 0){
                                currentSrc = sourceList[0].src;
                            }
                        }
                        onFindVideoSource(currentSrc);
                    }, 2000);
                }
            })(i);
        }

        for(var j=0; j<audios.length; j++ ){
            (function(){
                var audio = audios[j];
                var currentSrc = audio.src;
                if(currentSrc != "undefined" && currentSrc != null && currentSrc.length > 0){
                    setTimeout(function () {
                        onFindAudioSource(currentSrc);
                    }, 1000);
                }
            })(j);
        }

    }
}
onDOMSubtreeModifiedListener();

/*document.addEventListener('DOMSubtreeModified', onDOMSubtreeModifiedListener, false);*/
